<?

/* Nulled by Wizzywig */
/***********تعريب***********/
/**          saher        **/
/**  منتديات شباب وصبايا  **/
/**   www.shababtop.com   **/
/**  saher1986@live.com   **/
/***************************/
	session_start();
	require_once ("../includes/data_core.php");
	require_once ("includes/functions_update.php");

	// Check Admin is Logged In
	require_once ("includes/functions_login.php");
	
	// Get the page to process
	if (!empty($_GET['do']))
		$do = $_GET['do'];
	else
		$do = "update";
	
	// Developer Settings Submit Processor
	if (isset($_POST['dev_submit']) || isset($_POST['dev_submit_x'])) {
		if (!isset($_POST[dev_mode])) { $_POST[dev_mode] = 0; }
		if (!isset($_POST[error_logging])) { $_POST[error_logging] = 0; }
		if (!isset($_POST[do_not_start_session])) { $_POST[do_not_start_session] = 0; }
		if (!isset($_POST[do_not_destroy_session])) { $_POST[do_not_destroy_session] = 0; }
	
		$sql = "UPDATE arrowchat_config SET config_value = CASE WHEN config_name = 'cookie_prefix' THEN '".$_POST[cookie_prefix]."'
																WHEN config_name = 'min_heart_beat' THEN '".$_POST[min_heart_beat]."'
																WHEN config_name = 'max_heart_beat' THEN '".$_POST[max_heart_beat]."'
																WHEN config_name = 'refresh_buddylist' THEN '".$_POST[refresh_buddylist]."'
																WHEN config_name = 'online_timeout' THEN '".$_POST[online_timeout]."'
																WHEN config_name = 'dev_mode' THEN '".$_POST[dev_mode]."'
																WHEN config_name = 'error_logging' THEN '".$_POST[error_logging]."'
																WHEN config_name = 'set_session_name' THEN '".$_POST[set_session_name]."'
																WHEN config_name = 'do_not_start_session' THEN '".$_POST[do_not_start_session]."'
																WHEN config_name = 'do_not_destroy_session' THEN '".$_POST[do_not_destroy_session]."'
															END WHERE config_name IN ('cookie_prefix', 'min_heart_beat', 'max_heart_beat', 'refresh_buddylist', 'online_timeout', 'dev_mode', 'error_logging', 'set_session_name', 'do_not_start_session', 'do_not_destroy_session')";
		$result = mysql_query($sql);
					
		if ($result) {
			$cookie_prefix = $_POST['cookie_prefix'];
			$min_heart_beat = $_POST['min_heart_beat'];
			$max_heart_beat = $_POST['max_heart_beat'];
			$refresh_buddylist = $_POST['refresh_buddylist'];
			$online_timeout = $_POST['online_timeout'];
			$dev_mode = $_POST['dev_mode'];
			$error_logging = $_POST['error_logging'];
			$set_session_name = $_POST['set_session_name'];
			$do_not_start_session = $_POST['do_not_start_session'];
			$do_not_destroy_session = $_POST['do_not_destroy_session'];
			$msg = "تم حفظ الإعدادات بنجاح.";
		} else
			$error = "استعلام الـ mySQL لم يعمل. يرجى المحاولة مرة أخرى.";
	}
	
	$sql = "SELECT * FROM arrowchat_admin";
	$result = mysql_query($sql);
	if ($result && mysql_num_rows($result) > 0) {
		$row = mysql_fetch_array($result);
		$admin_email = $row['email'];
	}
	
	// Admin Settings Submit Processor
	if (isset($_POST['admin_submit']) || isset($_POST['admin_submit_x'])) {
		$admin_new_password = $_POST['admin_new_password'];
		$admin_confirm_password = $_POST['admin_confirm_password'];
		$admin_email = $_POST['admin_email'];
		$admin_old_password = $_POST['admin_old_password'];
		
		if (!empty($admin_new_password) || !empty($admin_confirm_password)) {
			if ($admin_new_password != $admin_confirm_password) {
				$error = "كلمة المرور وتأكيد كلمة المرور اللتين أدخلتهما غير متطابقتين.";
			}
			
			if (!empty($admin_new_password) && empty($admin_confirm_password)) {
				$error = "يجب أن تكتب تأكيد كلمة المرور مرة أخرى.";
			}
			
			if (empty($admin_new_password) && !empty($admin_confirm_password)) {
				$error = "يجب أن تكتب كلمة مرور جديدة.";
			}
			
		}
		
		if (empty($admin_email)) {
			$error = "إميل المدير لا يجب أن يترك فارغًا.";
		}
		
		if (empty($admin_old_password)) {
			$error = "يجب أن تكتب كلمة المرور القديمة.";
		}
		
		if (empty($error)) {
			$sql = "SELECT * FROM arrowchat_admin";
			$result = mysql_query($sql);
			if ($result && mysql_num_rows($result) > 0) {
				$row = mysql_fetch_array($result);
				$old_password = $row['password'];
				$old_email = $row['email'];
				$admin_old_password = md5($admin_old_password);
				$admin_new_password = md5($admin_new_password);
				
				if ($admin_old_password != $old_password) {
					$error = "كلمة المرور القديمة غير صحيحة.";
				} 
				
				if (empty($error)) {
					if (empty($_POST['admin_new_password'])) {
						$admin_new_password = $old_password;
					}
					
					if (empty($_POST['admin_email'])) {
						$admin_email = $old_email;
					}
					$sql = "UPDATE arrowchat_admin SET password='".mysql_real_escape_string($admin_new_password)."', email='".mysql_real_escape_string($admin_email)."'";
					$result = mysql_query($sql);
					if ($result) {
						$msg = "تم حفظ الإعدادات بنجاح.";
					} else {
						$error = "هناك خطأ في قاعدة البيانات. يرجى المحاولة مرة أخرى.";
					}
				}
			} else {
				$error = "هناك خطأ في قاعدة البيانات. يرجى المحاولة مرة أخرى.";
			}
		}
	}
	
	// Language Active Processor
	if ($do == "language") {
		if (!empty($_REQUEST['activate'])) {
			$sql = " UPDATE arrowchat_config SET config_value='".mysql_real_escape_string($_REQUEST['activate'])."' WHERE config_name='language'";
			$result = mysql_query($sql);
			if ($result) {
				$msg = "تم تفعيل اللغة بنجاح.";
				update_config_file();
			} else {
				$error = "هناك خطأ بالاتصال بقاعدة البيانات.";
			}
		}
	}
	
	function folderlist(){
		$startdir = '../language/';
		$ignoredDirectory[] = '.'; 
		$ignoredDirectory[] = '..';
		if (is_dir($startdir)){
		   if ($dh = opendir($startdir)){
			   while (($folder = readdir($dh)) !== false){
				   if (!(array_search($folder,$ignoredDirectory) > -1)){
					 if (filetype($startdir . $folder) == "dir"){
						   $directorylist[$startdir . $folder]['name'] = $folder;
						   $directorylist[$startdir . $folder]['path'] = $startdir;
					   }
				   }
			   }
			   closedir($dh);
		   }
		}
		return($directorylist);
	}

?>

<? require ("includes/pages_header.php"); ?>

<?
	if (!empty($msg)) {
?>
			<div class="success"> 
				<div style="font-weight: bold;">تم بنجاح:</div> 
				<?=$msg?>
			</div> 
<?
	}
?>
<?
	if (!empty($error)) {
?>
			<div class="error"> 
				<div style="font-weight: bold;">عفوًا!! هناك خطأ:</div> 
				<?=$error?>
			</div> 
<?
	}
?>

			<div class="title_bg"> 
				<div class="title">خيارات المدير</div> 
				<div class="module_content">
					<form method="post" action="<?=$_SERVER['PHP_SELF']?>?do=<?=$_GET['do']?>" enctype="multipart/form-data">
<?
	if ($do == "update") {
		//$fp = fopen("http://www.narrowchat.com/license/version.txt", "r");
		$current_version = ARROWCHAT_VERSION; 
		//fclose ($fp);
		
		$test = true;
		if (ARROWCHAT_VERSION == $current_version) {
			$cv_msg = "لديك آخر اصدار من ArrowChat لا تحتاج إلى الترقية.";
			$cv_msg2 = "لديك آخر إصدار من ArrowChat. لا تحتاج إلى الترقية. على العموم، إذا كنت تود إعادة تثبيت النسخة ".ARROWCHAT_VERSION." ، يمكنك تحميل الحزمة وإعادة تثبيتها.";
		} else {
			$cv_msg = "هناك إصدار جديد من ArrowChat. يرجى تحميله في الأسفل.";
			$cv_msg2 = "النسخة التي لديك ليست آخر إصدار من ArrowChat، وتحتاج إلى الترقية. إذا كانت رخصة فعاله، يمكنك تحميل النسخة الحديثة مجانا من هنا:";
			$test = false;
		}
?>
					<img src="images/icons/down_32.png" alt="" border="0" />&nbsp;<div class="subtitle">تحديث المنتج</div><br /><br />
					<span style="font-weight: bold; font-size: 14px;"><?=$cv_msg?></span><br /><br />
					الإصدار المثبت لديك: <span style="color: #<?=$test ? "1b7b29" : "d32c2c" ?>; font-weight: bold;"><?=ARROWCHAT_VERSION?></span><br />
					الإصدار المتوفر حاليًا: <span style="color: #1b7b29; font-weight: bold;"><?=$current_version?>&nbsp;<span style="color:#000;">(<a href="http://www.narrowchat.com/forum/viewforum.php?f=4" target="_blank">ملاحظات الإصدار</a>)</span></span><br /><br />
					<?=$cv_msg2?>
					<br /><br />
					<input type="button" class="button-secondary" onClick="location.href='http://www.narrowchat.com/members/';return false;" value="تحميل  <?=$current_version?>" />
<?
	}
?>

<?
	if ($do == "adminsettings") {
?>
					<img src="images/icons/shield_32.png" alt="" border="0" />&nbsp;<div class="subtitle">خيارات المدير</div><br />
					<table cellspacing="0" cellpadding="0" class="module_table">
						<tr>
							<th>
								كلمة المرور الجديدة<br />
								<span class="subtext">أدخل كلمة سر جديدة للوحة التحكم.</span>
							</th>
							<td><input dir="ltr" type="password" name="admin_new_password" value="" /></td>
						</tr>
						<tr>
							<th>
								تأكيد كلمة المرور الجديد<br />
								<span class="subtext">أدخل كلمة المرور الجديدة مرة أخرى</span>
							</th>
							<td><input dir="ltr" type="password" name="admin_confirm_password" value="" /></td>
						</tr>
						<tr>
							<th>
								بريد المدير<br />
								<span class="subtext">تغيير بريد الإدارة.</span>
							</th>
							<td><input dir="ltr" type="text" name="admin_email" value="<?=$admin_email?>" /></td>
						</tr>
						<tr>
							<th>
								كلمة المرور الحالية<br />
								<span class="subtext">يجب عليك كتابة كلمة المرور الحالية لتغيير أي إعدادات.</span>
							</th>
							<td><input dir="ltr" type="password" name="admin_old_password" value="" /></td>
						</tr>
					</table>
					
					<p class="submit">
						<input type="submit" name="admin_submit" class="button-primary" value="حفظ التغييرات" />
					</p>
<?
	}
?>

<?
	if ($do == "language") {
?>
					<img src="images/icons/globe_32.png" alt="" border="0" />&nbsp;<div class="subtitle">اللغات</div><br />
					<table cellspacing="0" cellpadding="0" class="table_table">
						<thead>
							<tr>
								<td style="width: 517px;">الإسم</td>
								<td>خيارات</td>
							</tr>
						</thead>
						<tbody>
<?
		$folders = folderlist();
		$sql = "SELECT config_value FROM arrowchat_config WHERE config_name='language'";
		$result = mysql_query($sql);
		$row = mysql_fetch_array($result);
		foreach ($folders as $folder) {
?>
							<tr>
								<td><?=$folder['name']?></td>
<?
			if (strtolower($row['config_value']) == strtolower($folder['name'])) {
?>
								<td>مفعلة حاليًا</td>
<?
			} else {
?>
								<td><a href="system.php?do=language&activate=<?=$folder['name']?>">تفعيل</a></td>
<?
			}
?>
							</tr>
<?
		}
?>
						</tbody>
					</table>
<?
	}
?>

<?
	if ($do == "massemail") {
?>
					<img src="images/icons/letter_32.png" alt="" border="0" />&nbsp;<div class="subtitle">البريد الشامل</div><br />
					<table cellspacing="0" cellpadding="0" class="module_table">
					</table>
<?
	}
?>
					</form>

				</div>
			</div>

<? require ("includes/pages_footer.php"); ?>